void makeNFA( void );
void connectFA( FA *fa, int inp, FA *nextFA, CLASSFLAGS accpt, CLASSFLAGS start );
ARC *appendNextArc( ARC *top, int inp, FA *fa );
FA *makeNewFA( void );
FALIST *appendFAlist( FALIST *faList, FA *fa );
FALIST *cpyFAlist( FALIST *dst, FALIST *src );
FALIST *freeFAlist( FALIST *faList );
